# TdApi.InlineQueryResultPhoto

Package it.ernytech.tdlib

## Class TdApi.InlineQueryResultPhoto

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineQueryResult
    - - it.ernytech.tdlib.TdApi.InlineQueryResultPhoto

Enclosing class:
  TdApi

    public static class TdApi.InlineQueryResultPhoto
    extends TdApi.InlineQueryResult

Represents a photo.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` A short description of the result, if known.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.Photo` `photo` Photo.
`java.lang.String` `title` Title of the result, if known.

### Constructor Summary

Constructors
`InlineQueryResultPhoto()` Default constructor.
`InlineQueryResultPhoto​(java.lang.String id, TdApi.Photo photo, java.lang.String title, java.lang.String description)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### photo

    public TdApi.Photo photo

Photo.

#### title

    public java.lang.String title

Title of the result, if known.

#### description

    public java.lang.String description

A short description of the result, if known.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InlineQueryResultPhoto

    public InlineQueryResultPhoto()

Default constructor.

#### InlineQueryResultPhoto

    public InlineQueryResultPhoto​(java.lang.String id,
                                  TdApi.Photo photo,
                                  java.lang.String title,
                                  java.lang.String description)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `photo` - Photo.
  `title` - Title of the result, if known.
  `description` - A short description of the result, if known.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR